> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meshconnect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Registered client Logo

> Adds or update a logo for Registered client.
Allowed file extensions are ".png", ".jpg", ".jpeg".
Allowed file MIME types are "image/png", "image/jpeg", "image/jpg".
Maximum file size is 5MB.
Upload logo as form data with key 'logoFile'.



## OpenAPI

````yaml https://admin-api.meshconnect.com/swagger/AdminAPI/swagger.json post /admin/api/v1/SubClient/{id}/logo
openapi: 3.0.1
info:
  title: Admin API
  version: v1
servers:
  - url: https://admin-api.meshconnect.com
security:
  - Bearer: []
paths:
  /admin/api/v1/SubClient/{id}/logo:
    post:
      tags:
        - Registered Clients
      summary: Update Registered client Logo
      description: "Adds or update a logo for Registered client.\r\nAllowed file extensions are \".png\", \".jpg\", \".jpeg\".\r\nAllowed file MIME types are \"image/png\", \"image/jpeg\", \"image/jpg\".\r\nMaximum file size is 5MB.\r\nUpload logo as form data with key 'logoFile'."
      parameters:
        - name: id
          in: path
          description: The identifier of the Registered client to update logo for
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          multipart/form-data:
            schema:
              required:
                - logoFile
              type: object
              properties:
                logoFile:
                  type: string
                  description: Logo image file (.png, .jpg, .jpeg only, max 5MB)
                  format: binary
            encoding:
              logoFile:
                style: form
      responses:
        '200':
          description: Registered client logo added/updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/B2B2BRegisteredClientLogoApiResult'
              example:
                content:
                  logoUrl: >-
                    https://file-cdn.meshconnect.com/public/clients/logo/oauth/registered/116a43e7-ddc9-4c61-b819-08ddd687d1d5f2fc96ed-cf41-454f-80c7-66520f5d047d.png
                status: ok
                message: ''
                errorHash: 30967b18
                teamCode: P4
                errorType: ''
        '401':
          description: 'Unauthorized: Auth token request is not valid'
          content:
            application/json:
              schema: {}
              example:
                statusCode: 401
        '403':
          description: 'Permission denied: Request is not allowed'
          content:
            application/json:
              schema: {}
              example:
                status: permissionDenied
                message: Error message
                displayMessage: Optional display message
                errorHash: cd59bd31
                teamCode: P4
                errorType: missingField
        '415':
          description: 'Media type unsupported: Invalid logo file specified'
          content:
            application/json:
              schema: {}
              example:
                statusCode: 415
components:
  schemas:
    B2B2BRegisteredClientLogoApiResult:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResultStatus'
        message:
          type: string
          description: A message generated by the API
          nullable: true
        displayMessage:
          type: string
          description: User-friendly display message that can be presented to the end user
          nullable: true
        errorHash:
          type: string
          description: >-
            An error grouping hash from string components and caller
            information. Used by bugsnag on FE for correct error grouping
          nullable: true
          readOnly: true
        teamCode:
          type: string
          description: "Opaque team code for error routing. Resolved from exception origin or caller file path via CODEOWNERS.\r\nFormat: 2-character code (e.g., \"7K\", \"M2\"). Use for alerting/routing, not display."
          nullable: true
          readOnly: true
        errorType:
          type: string
          description: "Strictly-typed error type that is explaining the reason of an unsuccessful status of the operation.\r\nAll possible error types are available in the documentation."
          nullable: true
        errorData:
          nullable: true
          readOnly: true
        content:
          $ref: '#/components/schemas/B2B2BRegisteredClientLogo'
      additionalProperties: false
    ApiResultStatus:
      enum:
        - ok
        - serverFailure
        - permissionDenied
        - badRequest
        - notFound
        - conflict
        - tooManyRequest
        - locked
        - unavailableForLegalReasons
      type: string
    B2B2BRegisteredClientLogo:
      type: object
      properties:
        logoUrl:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Authorization header using the Bearer scheme. Example: "Authorization:
        Bearer {Value}"
      scheme: bearer

````